## org.flexdock.util
Class OsInfo

    java.lang.Object
      org.flexdock.util.OsInfo

    public class OsInfo

extends java.lang.Object

Author:
  Christopher Butler

Constructor Summary
`OsInfo()`
`OsInfo(java.util.Properties systemProps)`

Method Summary
`java.lang.String` `getArch()`
`static OsInfo` `getInstance()`
`java.lang.String` `getLibraryKey()`
`java.util.List` `getLibraryKeys()`
`java.util.List` `getOsNames()`
`java.lang.String` `getPrefixLibraryKey()`
`java.util.List` `getPrefixLibraryKeys()`
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OsInfo

    public OsInfo()

### OsInfo

    public OsInfo(java.util.Properties systemProps)

Method Detail

### getInstance

    public static OsInfo getInstance()

### getArch

    public java.lang.String getArch()

  Returns:
    Returns the osArch.

### getLibraryKeys

    public java.util.List getLibraryKeys()

  Returns:
    Returns the osLibraryList.

### getPrefixLibraryKeys

    public java.util.List getPrefixLibraryKeys()

  Returns:
    Returns the prefixOsLibraryList.

### getOsNames

    public java.util.List getOsNames()

  Returns:
    Returns the osNameList.

### getLibraryKey

    public java.lang.String getLibraryKey()

### getPrefixLibraryKey

    public java.lang.String getPrefixLibraryKey()

### main

    public static void main(java.lang.String[] args)